circle-exclamation
This documentation page is currently under development and may be updated frequently.

LLM API Keys

Get all enabled LLM services

get
Authorizations
Responses
chevron-right
200

List of enabled services

application/json
LLMService[]Optional
get
/api/v2/api/llm/services
200

List of enabled services

Get models for a specific service

get
Authorizations
Path parameters
serviceIdstringRequired
Responses
chevron-right
200

List of models for the service

application/json
LLMModel[]Optional
get
/api/v2/api/llm/models/{serviceId}

Update model for an API key

put
Authorizations
Path parameters
idstringRequired
Body
anyOptional
Responses
chevron-right
200

Model updated successfully

application/json
anyOptional
put
/api/v2/api/llm/{id}/model

No content

Get all LLM API keys for user

get
Authorizations
Responses
chevron-right
200

List of user's API keys

application/json
LLMApiKey[]Optional
get
/api/v2/api/llm
200

List of user's API keys

Create a new LLM API key

post
Authorizations
Body
anyOptional
Responses
post
/api/v2/api/llm

No content

Delete an LLM API key

delete
Authorizations
Path parameters
idstringRequired
Responses
chevron-right
200

API key deleted successfully

application/json
stringOptionalExample: Deleted
delete
/api/v2/api/llm/{id}

Last updated